@hpvd opened this Issue on December 19th 2013

Using autoupdate from 2.0 => 2.0.1
stopp and error message:
The class GeoIPMap couldn't be found in the file '/html/piwik/plugins/GeoIPMap/GeoIPMap.php'

Doing the updates before on the wa betas, RC, final
this was never a problem.

@jakwings commented on December 19th 2013

I met similar problems for 2.0 to 2.0.1, too. Here is mine:

[Fri Dec 20 04:34:50 2013] [error] [client 183.13.67.4] PHP Fatal error: Class 'Piwik\\View\\OneClickDone' not found in /my_root/plugins/piwik/plugins/CoreUpdater/Controller.php on line 105, referer: http://plugins.example.com/piwik/index.php?module=CoreUpdater&action=newVersionAvailable 
[Fri Dec 20 04:34:50 2013] [error] [client 183.13.67.4] PHP Fatal error: Class '\\Piwik\\Plugins\\CorePluginsAdmin\\Controller' not found in /my_root/plugins/piwik/core/FrontController.php on line 179, referer: http://plugins.example.com/piwik/index.php?module=CoreUpdater&action=newVersionAvailable
@hpvd commented on December 21st 2013

copying 2.02 manually on the server, the problem keeps the same

deleting the geoipmap folder in plugin folder solves it..
=> of course the geoipmap plugin is gone..

@mattab commented on December 26th 2013 Owner

Hopefully the GeoIPMap developer will update the plugin to work with Piwik 2. Have you tried asking him/her maybe?

@hpvd commented on December 26th 2013

yes, it seems to be in progress already but will take some time..
it was already compatible to some of the first betas but then some important things within piwik changed again...

This Issue was closed on December 26th 2013
Powered by GitHub Issue Mirror